// レイアウト異常を起こすブラウザを隔離する
//  [out]=false ...危険ブラウザ（Netscape, Zaurus, Dreamcast, PS2 Browser）
//  [ in]=true  ...通常表示ブラウザ（上以外）
function getBrowser()
{
	if(navigator.userAgent.indexOf("DreamPassport") != -1)		return false;
	if(navigator.userAgent.indexOf("AveFront") != -1)		return false;
	if(navigator.userAgent.indexOf("Planetweb") != -1)		return false;
	if(navigator.userAgent.indexOf("sharp pda browser") != -1)	return false;

	// IEも危険だったorz
	if(navigator.appName.indexOf("Microsoft Internet Explorer") != -1)	return false;

	var chk1 = 0;
	if(navigator.appName.indexOf("Opera") != -1) chk1 ++;
	if(navigator.userAgent.indexOf("Microsoft Internet Explorer") != -1) chk1 ++;
	if(navigator.userAgent.indexOf("Chrome") != -1)	chk1 ++;
	if(navigator.userAgent.indexOf("Safari") != -1)	chk1 ++;
	if(navigator.userAgent.indexOf("Firefox") != -1) chk1 ++;

	if((navigator.userAgent.indexOf("Netscape") == -1) && (chk1 == 0))
	{
		return true;
	}
	else if(chk1 != 0)
	{
		return true;
	}
	else
	{
		return false;
	}
}

function isAvailableTextContent()
{
	if(navigator.userAgent.indexOf("DreamPassport") != -1)		return false;
	if(navigator.userAgent.indexOf("AveFront") != -1)		return false;
	if(navigator.userAgent.indexOf("Planetweb") != -1)		return false;
	if(navigator.userAgent.indexOf("sharp pda browser") != -1)	return false;

//	if(navigator.userAgent.indexOf("MSIE 5.5") != -1)		return false;
//	if(navigator.userAgent.indexOf("MSIE 6.0") != -1)		return false;

	if(navigator.appName.indexOf("Opera") != -1)			return true;
	if(navigator.userAgent.indexOf("Microsoft Internet Explorer") != -1) return false;
	if(navigator.userAgent.indexOf("Chrome") != -1)			return true;
	if(navigator.userAgent.indexOf("Safari") != -1)			return true;
	if(navigator.userAgent.indexOf("Firefox") != -1)		return true;

	return false;
}
